package vip.xiaonuo.modular.energy.service.impl;

import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.modular.energy.entity.EnergyElectricity;
import vip.xiaonuo.modular.energy.mapper.EnergyElectricityMapper;
import vip.xiaonuo.modular.energy.service.IEnergyElectricityService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 能耗电表 服务实现类
 * </p>
 *
 * @author author
 * @since 2023-12-06
 */
@Service
public class EnergyElectricityServiceImpl extends ServiceImpl<EnergyElectricityMapper, EnergyElectricity> implements IEnergyElectricityService {

    @Autowired
    private EnergyElectricityMapper electricityMapper;

    @Override
    public CommonResult listElectricity(Map<String, String> paramsMap) {
        String orgId = paramsMap.get("orgId");
        String type = paramsMap.get("type");

        if ("".equals(type) || null == type) {
            type = "1";
        }
        if ("1".equals(type)) {

        }
        return null;
    }
}
